%define name perl-Data-DumpXML
%define module Data-DumpXML
%define version 1.01
%define release 3mdk

Summary:	Dump arbitrary perl data structures as XML.
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Perl
Distribution:	Mandrake Linux
Source0: 	http://www.cpan.org/authors/id/GAAS/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel perl-Array-RefElem perl-MIME-Base64 perl-XML-Parser
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix:		%{_prefix}
Requires: 	perl >= 5.600 perl-Array-RefElem >= 0.02

%description
Dump arbitrary perl data structures as XML.

This module is needed by eGrail

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{prefix} 
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix} INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1


%files
%defattr(-,root,root)
%doc README Changes
%{_libdir}/perl5/man/man3/*
%{_libdir}/perl5/site_perl/5.6.1/Data/DumpXML.pm
%{_libdir}/perl5/site_perl/5.6.1/Data/DumpXML/Parser.pm
%{perl_sitearch}/auto/Data/DumpXML

%changelog
* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 1.01-3mdk
- BuildRequires: perl-devel perl-Array-RefElem perl-MIME-Base64 perl-XML-Parser

* Thu Jun 21 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.01-2mdk
- Fixed installation problem.

* Wed Jun 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.01-1mdk
- Updated to 1.01
- Make a clean RPM with the right directories
- Fixed distribution tag

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.02-2mdk
- Remove Vendor and Distribution tag.
- Rebuild against the latest perl.

* Fri Sep 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.02-1mdk
- First Mandrake release
- Needed for eGrail
